​

Add external link

POST
https://example.kaiten.ru/api/latest/cards/{card_id}/external-links
Path parameters
NameTypeReference
card_idrequiredintegerCard ID
Headers
NameValue
Content-Typeapplication/json
Attributes
schema
NameTypeConstraintsDescription
url
required
string
minLength: 1
maxLength: 16384

URL

description
string | null
maxLength: 512
Description
Responses

200
DescriptionResponse typeExample
SuccessObject
Open
Response Attributes
NameTypeDescription
url

string

Url
updated

string

Last update timestamp
created

string

Create date
id

integer

Card external link id
description

string

Card external link description
400
DescriptionResponse typeExample
Validation errorObject
Open
Response Attributes
NameTypeDescription
message

string

Error message
401
DescriptionResponse typeExample
Invalid tokenString
Open

A schema has not been defined for this response code.

403
DescriptionResponse typeExample
ForbiddenResponse body does not exist

A schema has not been defined for this response code.

404
DescriptionResponse typeExample
Not foundResponse body does not exist

A schema has not been defined for this response code.

logo
Kaiten
If you have any questions or need help with integration feel free to write us at support@kaiten.io

Path Parameters

  1  curl --request POST \
  2       --url 'https://example.kaiten.ru/api/latest/cards/{card_id}/external-links' \
  3       --header 'Accept: application/json' \
  4       --header 'Content-Type: application/json'
  5      

Response

ClickTry It!to start a request and see the response here!